Mailinglist Archive: opensuse-bugs (4664 mails)

< Previous Next >
[Bug 570023] [Perl] Vendor path doesn't take precedence over normal perl one
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Thu, 4 Feb 2010 15:19:37 +0000
  • Message-id: <20100204151937.56CBF24551E@xxxxxxxxxxxxxxxxxxxxxx>
http://bugzilla.novell.com/show_bug.cgi?id=570023

http://bugzilla.novell.com/show_bug.cgi?id=570023#c4


David Bahi <dbahi@xxxxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |dbahi@xxxxxxxxxx

--- Comment #4 from David Bahi <dbahi@xxxxxxxxxx> 2010-02-04 15:19:36 UTC ---
This is a rather serious packaging problem... trying to add Catalyst and build
perl-namespace-<variants> which require the newer version of perl-Test-Simple.

I've branched the OBS devel:languages:perl to my home... built the newer
version of perl-Test-Simple... but still get this:

Cannot determine perl version info from lib/namespace/clean.pm
*** Module::AutoInstall version 1.03
*** Checking for Perl dependencies...
[Core Features]
- Test::More ...too old. (0.72 < 0.88)
- FindBin ...loaded. (1.49)
- B::Hooks::EndOfScope ...loaded. (0.08 >= 0.07)


on chroot into the build env we see:

iditarod:/> perl -MFile::Find=find -MFile::Spec::Functions -Tlw -e 'find {
wanted => sub { print canonpath $_ if /\.pm\z/ }, no_chdir => 1 }, @INC' | grep
Test

..snip...

/usr/lib/perl5/5.10.0/Test/Simple.pm
/usr/lib/perl5/5.10.0/Test/Builder.pm
/usr/lib/perl5/5.10.0/Test/More.pm

.. snip ...

/usr/lib/perl5/vendor_perl/5.10.0/Test/Simple.pm
/usr/lib/perl5/vendor_perl/5.10.0/Test/Builder.pm
/usr/lib/perl5/vendor_perl/5.10.0/Test/More.pm

so this will never work and we cannot package newer features till this is fixed

seems a bit more Ugent than enhancement to me.

--
Configure bugmail: http://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >